        import { world, system } from "@minecraft/server";
            
            export class ItemManager {
                static init(){
                    function durabilityOnChanged(item, player, isHitEntity = false) {
    let level = item.getComponent("minecraft:enchantable")?.getEnchantment("unbreaking")?.level;

    function durability() {
        let durability = item.getComponent("minecraft:durability");

        const t = Math.floor(Math.random() * 100);

        if (t < durability.getDamageChance()) {
            if (!isHitEntity) durability.damage += 1;
            if (durability.damage >= durability.maxDurability) {
                player.playSound("random.break");
                if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', undefined)
            } else {
                if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', item)
            }
        } else {
            if (!isHitEntity) return;
            durability.damage -= 1;
            if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', item);
        }
    }

    const t = Math.floor(Math.random() * 10)
    if (level === 1 && t > 8) return;
    else if (level === 2 && t > 6) return;
    else if (level === 3 && t > 4) return;
    else durability();
}

                    world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('foo_salt:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:hunger", 30, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('food_gold_meat_burger:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:fire_resistance", 15, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 35, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 124, {amplifier: 1});
e.source.removeEffect("minecraft:fatal_poison");
e.source.removeEffect("minecraft:hunger");
e.source.removeEffect("minecraft:mining_fatigue");
e.source.removeEffect("minecraft:blindness");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('food_gold_cooked_chopped_beef:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:regeneration", 125, {amplifier: 3});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('food_gold_burger_sniffer_egg:trigger', {
  onConsume: e => {
  e.source.removeEffect("minecraft:wither");
e.source.removeEffect("minecraft:weakness");
e.source.removeEffect("minecraft:fatal_poison");
e.source.removeEffect("minecraft:hunger");
e.source.removeEffect("minecraft:blindness");
e.source.removeEffect("minecraft:instant_damage");
e.source.removeEffect("minecraft:haste");
e.source.removeEffect("minecraft:nausea");
e.source.removeEffect("minecraft:poison");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('food_iron_knifer:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('food_wine_jar:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 8, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('food_wine:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 7, {amplifier: 1});
  
},

  
});
 });
                }   
            }
        